curl --request POST \
--url https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations/{idRecorrencia}/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contractNumber": "<string>",
"frequency": 123,
"journey": 123,
"payer": {
"account": "<string>",
"accountType": 123,
"cpfCnpj": "<string>",
"ibgeCode": 123,
"ispb": "<string>",
"name": "<string>",
"personType": 123,
"agency": "<string>"
},
"recipient": {
"cnpj": "<string>",
"ispb": "<string>",
"name": "<string>"
},
"startDate": "<string>",
"amount": 123,
"authorizedAt": "<string>",
"contractDesc": "<string>",
"createdDateTime": "<string>",
"endDate": "<string>",
"floorMaxAmount": 123,
"payerMaxAmount": 123,
"settlementConfirmedAt": "<string>"
}
'import requests
url = "https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations/{idRecorrencia}/confirm"
payload = {
"contractNumber": "<string>",
"frequency": 123,
"journey": 123,
"payer": {
"account": "<string>",
"accountType": 123,
"cpfCnpj": "<string>",
"ibgeCode": 123,
"ispb": "<string>",
"name": "<string>",
"personType": 123,
"agency": "<string>"
},
"recipient": {
"cnpj": "<string>",
"ispb": "<string>",
"name": "<string>"
},
"startDate": "<string>",
"amount": 123,
"authorizedAt": "<string>",
"contractDesc": "<string>",
"createdDateTime": "<string>",
"endDate": "<string>",
"floorMaxAmount": 123,
"payerMaxAmount": 123,
"settlementConfirmedAt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contractNumber: '<string>',
frequency: 123,
journey: 123,
payer: {
account: '<string>',
accountType: 123,
cpfCnpj: '<string>',
ibgeCode: 123,
ispb: '<string>',
name: '<string>',
personType: 123,
agency: '<string>'
},
recipient: {cnpj: '<string>', ispb: '<string>', name: '<string>'},
startDate: '<string>',
amount: 123,
authorizedAt: '<string>',
contractDesc: '<string>',
createdDateTime: '<string>',
endDate: '<string>',
floorMaxAmount: 123,
payerMaxAmount: 123,
settlementConfirmedAt: '<string>'
})
};
fetch('https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations/{idRecorrencia}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idRecorrencia": "<string>",
"requestedAt": "<string>",
"idReqJdPi": "<string>",
"status": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Confirmar una autorización de Pix Automático
Confirma una autorización de pago recurrente mediante las jornadas de QR 2-4, transicionándola a Active (el mandato de pago recurrente activo).
Autorizaciones
Autenticación con token JWT Bearer. Obtén el token desde el endpoint /v1/login/oauth/access_token
usando credenciales de cliente (clientId y clientSecret).
Incluye el token en el encabezado Authorization:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
El token expira después de 3600 segundos (1 hora).
Parámetros de ruta
The recurrence id (29-char, RR...). El id de recurrencia (29 caracteres, RR...).
Cuerpo
Identificador de contrato/orden (nrContrato).
tpFrequencia (0..4).
jornada (2..4).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Fecha del primer pago (dtInicialRecorrencia; aaaa-mm-dd).
Monto fijo del pago en reales (valor).
Marca de tiempo de la autorización (dtHrAutorizacaoRecorrencia, UTC).
Descripción de contrato de texto libre.
Marca de tiempo de creación de la recurrencia (dtHrCriacaoRecorrencia, UTC).
Show child attributes
Show child attributes
Fecha del último pago (dtFinalRecorrencia).
Monto mínimo del receptor en reales (pisoValorMaximo).
Tope máximo del pagador en reales (vlrMaxPagador).
Marca de tiempo de confirmación de liquidación (dtHrConfirmacaoLiquidacao, UTC; obligatoria para jornada=3).
Respuesta
Aceptado
El id de recurrencia.
Marca de tiempo de la solicitud en el upstream (marca de tiempo de la solicitud del upstream, UTC).
El id de solicitud del upstream (GUID de 36 caracteres; omitido por 4.3.10).
El estado local resultante de la autorización.
¿Esta página le ayudó?

